> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/ai/aig/ai-gateway-usage/describeaiusagedata.md).

# DescribeAiUsageData

## 1. API Description

This API (DescribeAiUsageData) is used to describe AI usage data

{% hint style="info" %}
**Notes**

* For the authentication method of this API, refer to [Authentication](/api-reference/api-introduction/instruction/authorization.md)
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type    | Description                                    |
| --------------- | -------- | ------- | ---------------------------------------------- |
| start           | Yes      | Integer | Start timestamp (10 digits), e.g., 1659427200. |
| end             | Yes      | Integer | End timestamp (10 digits), e.g., 1659434400.   |
| instanceIds     | No       | String  | Instance ID.                                   |
| resourceGroupId | No       | String  | Resource group ID.                             |

## 3. Output Parameters

| Parameter Name     | Type                                                                   | Description                                                                                                           |
| ------------------ | ---------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId          | String                                                                 | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalInputTokens   | Integer                                                                | Total number of input tokens.                                                                                         |
| totalOutputTokens  | Integer                                                                | Total number of output tokens.                                                                                        |
| instanceModelToken | Array of [UsageData](/api-reference/ai/aig/datastructure.md#usagedata) | Instance model usage data.                                                                                            |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query the AI gateway usage statistics within the specified time range.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/aigw
Content-Type: application/json
X-ZC-Action: DescribeAiUsageData
<Common Request Params>

Request:
{
    "instanceIds": "1597494548165039443",
    "start": 1772074800,
    "end": 1772075400
}
Response:
{
    "requestId": "T24AB09E0-07A3-4FFA-931A-813959932AD9",
    "response": {
        "instanceModelToken": [
            {
                "modelName": "gemini-2.5-flash",
                "totalRequests": 1,
                "modelUuid": "hhlpwj8yhq",
                "totalTokens": 3345
            },
            {
                "modelName": "gpt-4o",
                "totalRequests": 2,
                "modelUuid": "551hvvb2g0",
                "totalTokens": 594
            }
        ],
        "requestId": "T24AB09E0-07A3-4FFA-931A-813959932AD9",
        "totalInputTokens": 51,
        "totalOutputTokens": 3888
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
